select acq_chn, c1,c2, c2/c1 from(
select acq_chn, count(distinct cmusno) c1, count(cmusno) c2 from onboarding.event_list_18_0_to_90_removed
where domain_type not in ('COMPLAINT', 'CUST_INFO', 'MARKETING_OFFER', 'NPS', 'WEB_LOG', 'CALL_CENTER' )
group by 1) a;



--müşteri edinim tarihi ile ilk marketing eventi arasındaki ort süre:
select acq_chn, avg(diff) from (
select a.acq_chn, a.cmusno, (sms_tar-edinim_tar) diff from 
(select acq_chn, cmusno, min(event_date) edinim_tar from onboarding.event_list_18_0_to_90_removed
group by 1,2)a
inner join
(
select acq_chn, cmusno, min(event_date) sms_tar from onboarding.event_list_18_0_to_90_removed
where event_desc in('SMS_CampGnr','SMS_CampSpc','E-MAIL_CampSpc_Otomatik Ödeme','E-MAIL_CampSpc_Platinum Kart',
'SMS_CampSpc_TEB Bonus Kart','SMS_CampSpc_CEPTETEB','E-MAIL_CampSpc_CEPTETEB','E-MAIL_CampSpc_TEB Bonus Kart',
'E-MAIL_CampSpc_CEPTETEB Hesap', 'SMS_CampSpc_Ürün İlişkisiz', 'E-MAIL_CampSpc_Ürün İlişkisiz','SMS_CampSpc_CEPTETEB Kredi',
'E-MAIL_CampSpc_Düzenli Limit Arttırım Talimatı','E-MAIL_CampSpc','OthChannel_OfferNAPresent','OthChannel_OfferAccept','OthChannel_OfferReject'
)
group by 1,2)b
on a.cmusno=b.cmusno)c group by 1;



--müşteri edinim tarihi ile ilk marketing eventi arasındaki ort süre ve marketing event countları:
select acq_chn, avg(diff),max(evt_cnt) from (
select a.acq_chn, a.cmusno, (sms_tar-edinim_tar) diff, evt_cnt from 
(select acq_chn, cmusno, min(event_date) edinim_tar from onboarding.event_list_18_0_to_90_removed
group by 1,2)a
inner join
(
select acq_chn, cmusno, min(event_date) sms_tar, count(event_desc) evt_cnt from onboarding.event_list_18_0_to_90_removed
where event_desc in('SMS_CampGnr','SMS_CampSpc','E-MAIL_CampSpc_Otomatik Ödeme','E-MAIL_CampSpc_Platinum Kart',
'SMS_CampSpc_TEB Bonus Kart','SMS_CampSpc_CEPTETEB','E-MAIL_CampSpc_CEPTETEB','E-MAIL_CampSpc_TEB Bonus Kart',
'E-MAIL_CampSpc_CEPTETEB Hesap', 'SMS_CampSpc_Ürün İlişkisiz', 'E-MAIL_CampSpc_Ürün İlişkisiz','SMS_CampSpc_CEPTETEB Kredi',
'E-MAIL_CampSpc_Düzenli Limit Arttırım Talimatı','E-MAIL_CampSpc','OthChannel_OfferNAPresent','OthChannel_OfferAccept','OthChannel_OfferReject'
)
group by 1,2)b
on a.cmusno=b.cmusno)c group by 1;